Publié le: Jul 25, 2018

Après l’annonce récente des mises à jour de la base de données PostgreSQL, nous avons mis à jour Amazon RDS pour PostgreSQL de façon à assurer sa compatibilité avec les versions mineures 10.4, 9.6.9, 9.5.13, 9.4.18 et 9.3.23 de PostgreSQL. Ce lancement corrige des failles de sécurité des versions mineures actuelle et précédentes de PostgreSQL relevées par la communauté PostgreSQL et comprend des corrections et des améliorations supplémentaires.

Avec cette mise à jour, nous avons ajouté la prise en charge de la réplication logique native de PostgreSQL 10 qui utilise le modèle publier et souscrire, ce qui permet de profiter d'une réplication affinée entre les instances RDS pour PostgreSQL ou entre une base de données PostgreSQL déployée en dehors de RDS (auto-gérées sur EC2, sur site, etc.) et une instance RDS pour PostgreSQL, et inversement. De plus, l'extension pg_repack a été mise à jour vers la version 1.4.3 dans PostgreSQL 10.4 et 9.6.9, et l'extension PL/v8 a été mise à jour vers la version 2.1.2 dans PostgreSQL 10.4, 9.6.9, 9.5.13, 9.4.17 et 9.3.23.

Amazon RDS pour PostgreSQL facilite la configuration, l'exploitation et la mise à l’échelle des déploiements PostgreSQL dans le cloud. Pour en savoir plus sur la mise à niveau de vos instances de base de données, consultez le Guide de l'utilisateur Amazon RDS. Pour connaître sa disponibilité régionale, consultez la tarification d’Amazon RDS pour PostgreSQL.